

# DescribeManagedEndpoint


Displays detailed information about a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.

## Request Syntax


```
GET /virtualclusters/virtualClusterId/endpoints/endpointId HTTP/1.1
```

## URI Request Parameters


The request uses the following URI parameters.

 ** [endpointId](#API_DescribeManagedEndpoint_RequestSyntax) **   <a name="emroneks-DescribeManagedEndpoint-request-uri-id"></a>
This output displays ID of the managed endpoint.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-z]+`   
Required: Yes

 ** [virtualClusterId](#API_DescribeManagedEndpoint_RequestSyntax) **   <a name="emroneks-DescribeManagedEndpoint-request-uri-virtualClusterId"></a>
The ID of the endpoint's virtual cluster.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[0-9a-z]+`   
Required: Yes

## Request Body


The request does not have a request body.

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "endpoint": { 
      "arn": "string",
      "certificateArn": "string",
      "certificateAuthority": { 
         "certificateArn": "string",
         "certificateData": "string"
      },
      "configurationOverrides": { 
         "applicationConfiguration": [ 
            { 
               "classification": "string",
               "configurations": [ 
                  "Configuration"
               ],
               "properties": { 
                  "string" : "string" 
               }
            }
         ],
         "monitoringConfiguration": { 
            "cloudWatchMonitoringConfiguration": { 
               "logGroupName": "string",
               "logStreamNamePrefix": "string"
            },
            "containerLogRotationConfiguration": { 
               "maxFilesToKeep": number,
               "rotationSize": "string"
            },
            "managedLogs": { 
               "allowAWSToRetainLogs": "string",
               "encryptionKeyArn": "string"
            },
            "persistentAppUI": "string",
            "s3MonitoringConfiguration": { 
               "logUri": "string"
            }
         }
      },
      "createdAt": "string",
      "executionRoleArn": "string",
      "failureReason": "string",
      "id": "string",
      "name": "string",
      "releaseLabel": "string",
      "securityGroup": "string",
      "serverUrl": "string",
      "state": "string",
      "stateDetails": "string",
      "subnetIds": [ "string" ],
      "tags": { 
         "string" : "string" 
      },
      "type": "string",
      "virtualClusterId": "string"
   }
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [endpoint](#API_DescribeManagedEndpoint_ResponseSyntax) **   <a name="emroneks-DescribeManagedEndpoint-response-endpoint"></a>
This output displays information about a managed endpoint.  
Type: [Endpoint](API_Endpoint.md) object

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
This is an internal server exception.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found.  
HTTP Status Code: 400

 ** ValidationException **   
There are invalid parameters in the client request.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/emr-containers-2020-10-01/DescribeManagedEndpoint) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/emr-containers-2020-10-01/DescribeManagedEndpoint) 